Subject: Telecoms @ the Internet II, 28-31 October, The Intercontinental, Geneva

From: [email-masked] (Izi Muraben)
Date: Thu, 18 Jul 1996 18:20:24 +0100 (BST)

Telecoms @ the Internet II, 28-31 October 1996, The Intercontinental, Geneva

I produce ca. 20 telecoms conferences per year and I seriously do not plan 
to abuse precious bandwidth with self promotion. I do, however, honestly 
believe that Telecoms @ the Internet II is THE best conference I'm ever 
likely to produce and xtremely relevant to your readers. Have a quick browse 
on http://iir.co.uk/tel-inet and pls let me have your comments. I hope to 
see you in Geneva.
Rgds
Izi 
 
_______________________________________________
IZI MURABEN
[email-masked]

CONFERENCES
IIR (Institute for International Research) Ltd
tel +44 171 9155095
fax +44 171 9155001

PRIVATE
tel +44 1273 722986